Support » Plugin: The Events Calendar » Null error

  • Resolved editor214

    (@editor214)


    I get the following error at the top of the page.

    “Warning: key() expects parameter 1 to be array, null given in /home/bret2014/public_html/redoubtnews.com/wp-content/plugins/the-events-calendar/src/Tribe/JSON_LD/Venue.php on line 46

    Warning: reset() expects parameter 1 to be array, null given in /home/bret2014/public_html/redoubtnews.com/wp-content/plugins/the-events-calendar/src/Tribe/JSON_LD/Venue.php on line 49

    Warning: Creating default object from empty value in /home/bret2014/public_html/redoubtnews.com/wp-content/plugins/the-events-calendar/src/Tribe/JSON_LD/Venue.php on line 51″

    http://www.redoubtnews.com and hit the community calendar from the menu.

    https://wordpress.org/plugins/the-events-calendar/

Viewing 15 replies - 1 through 15 (of 20 total)
  • I am receiving the same error after updating to 4.2. Please share the answer to the fix.

    Help! Same errors here. We didn’t even intentionally update the calendar version, except all of the sudden it says we are at 4.2 and the page has those same exact errors. We are a small non-profit and don’t have any coding/web experts on staff so hopefully there is a simple solution we can implement asap!

    Also I should add that we are on WordPress 4.5.2 running Enfold theme.

    Bumping this, no response yet. Please help or we have to remove the calendar from our page!

    We also run 4.5.2 and the MH Magazine theme, the calendar still works, just half a screen of ugly at the top.

    I just updated and got the same error messages.

    Same here. I need a fix.

    Same errors here after update, please help, thanks! FYI – Using Avada Theme

    Same error here with MH Magazine Lite (child) theme.

    Ditto. Very unhappy client too. 🙁
    X-theme.

    Plugin Author Brian

    (@brianjessee)

    Hi,

    Sorry for the issues you are having and for the late reply here.

    The messages are warnings and do not break the plugin, but there are an annoyance and can be removed.

    It is recommended that all live sites not show PHP Errors, Warnings, and Notices.

    You can do that with your PHP.ini or in WordPress.

    To do that in your wpconfig.php file replace this:

    define(‘WP_DEBUG’, false);

    with this:

    ini_set(‘log_errors’,’On’);
    ini_set(‘display_errors’,’Off’);
    ini_set(‘error_reporting’, E_ALL );
    define(‘WP_DEBUG’, false);
    define(‘WP_DEBUG_LOG’, true);
    define(‘WP_DEBUG_DISPLAY’, false);

    That coding comes from this article:

    https://aristath.github.io/blog/wp-hide-php-errors

    That should hide the warnings for now and there will be a fix in 4.2.1, which we are working on.

    You can also downgrade to 4.1.4 if you like.

    You can download older versions of the core plugin here:
    https://wordpress.org/plugins/the-events-calendar/developers/

    And follow these steps for a manual change:

    Manual updates

    Thanks

    It worked for me. Thank you.

    Backed up to the previous version, all good, thanks.

    Not really a good fix for us. Besides, as like some of the others, the Venues aren’t getting updated and inserted into the events.

    Everything was working just fine prior to this update.

    Thanks for your assistance.

    zimrock

    (@zimrock)

    just installed 4.2.1, two of three errors are gone, but still get this error:

    Warning: Creating default object from empty value in /home2/nmca/public_html/wp-content/plugins/the-events-calendar/src/Tribe/JSON_LD/Venue.php on line 51

    Using the latest WP and Avada theme.

    Thoughts?

Viewing 15 replies - 1 through 15 (of 20 total)
  • The topic ‘Null error’ is closed to new replies.